Bug 241590 - kadmin core dumps on ia64
kadmin core dumps on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: krb5 (Show other bugs)
2.1
ia64 Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-28 10:11 EDT by Jan Hutař
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0384
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 14:43:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
used configuration file: /etc/krb5.conf (811 bytes, application/octet-stream)
2007-05-28 10:11 EDT, Jan Hutař
no flags Details
kadmin coredump (1008.00 KB, application/octet-stream)
2007-05-28 10:18 EDT, Jan Hutař
no flags Details

  None (edit)
Description Jan Hutař 2007-05-28 10:11:00 EDT
Description of problem:
While testing 2007:0384 I tried to set-up krb5 server on RHEL-2.1@ia64 and 
found, that kadmin core-dumps when I try to use it


Version-Release number of selected component (if applicable):
krb5-workstation-1.2.2-45
krb5-server-1.2.2-45
krb5-devel-1.2.2-45
krb5-libs-1.2.2-45


How reproducible:
always


Steps to Reproduce:
1. set up krb5 server (/etc/krb5.conf attached)
2. # kadmin -w PASSWORD -q "listprincs"


Actual results:
kadmin core-dumps and user sees:

Authenticating as principal root/admin@EXAMPLE.COM with password.
kadmin: Communication failure with server while initializing kadmin interface


Expected results:
kadmin lists princs


Additional info:
Maybe this is just a miss-configuration (see attached /etc/krb5.conf), but I 
wasn't able to get krb5 working in some other way.
I tested on i386 and it seems it doesn't have such a problem.
Comment 1 Jan Hutař 2007-05-28 10:11:00 EDT
Created attachment 155544 [details]
used configuration file: /etc/krb5.conf
Comment 2 Jan Hutař 2007-05-28 10:18:53 EDT
Created attachment 155545 [details]
kadmin coredump

kadmin coredump generated using:

  1. ensure kadmin is killed
  2. # ulimit -c unlimited
  3. # /usr/kerberos/sbin/kadmind -nofork
  4. on other terminal:
     # kadmin -w PASSWORD -q "listprincs"
Comment 3 Jan Hutař 2007-05-28 10:23:14 EDT
Unussual part from /etc/krb5.conf:
[realms]
 EXAMPLE.COM = {
  kdc = 192.168.76.147:88
  admin_server = 192.168.76.147:749
 }

Backtrace is doesn't seem too helpful:
#0  0x20000000003ccbf1 in strlen () from /lib/libc.so.6.1
Comment 7 Josh Bressers 2007-06-26 14:30:22 EDT
Opening bug for release
Comment 8 Red Hat Bugzilla 2007-06-26 14:43:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0384.html

Note You need to log in before you can comment on or make changes to this bug.